Bug 983536 - default kbase and non default ksession combination is not included in kmodule.xml in resulting jar.
default kbase and non default ksession combination is not included in kmodule...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high
: ER 7
: 6.0.0
Assigned To: Toni Rikkola
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 07:55 EDT by Marek Baluch
Modified: 2014-08-06 16:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:06:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Baluch 2013-07-11 07:55:15 EDT
Description of problem:
When I want to use a default kbase with ksessions defined by me then these will not be present in the resulting jar create in the build process.

Steps to reproduce:
1) create a project
2) switch to "knowledge base settings"
3) add a ksession (e.g. session1)
4) build the project
5) explore the kmodule.xml in the jar. it should contain a defaultKieSession and defaultStatelessKieSession.

Build
DR6 (Beta5)
Comment 1 Toni Rikkola 2013-10-07 07:18:39 EDT
Step 5 here might be wrong. It is possible to have a default KBase without any default KSessions. 

So asking if step 5 is based on documentation or if there is any other reason to expect these two ksessions to be there?
Comment 2 Mark Proctor 2013-11-12 10:14:37 EST
the steps need to first create a kbase, before creating the ksession.

What happens is the UI insists you make atleast one kbase default. This is not actually necessary in the, system will work. The getKieBase() simply returns null, if there is no default. However enforcement actually can cause problems, if you have multiple jars on the class path, each publishing a default. This causes a conflict and the system will not load.

The correct way is to remove the kbase default enforcement, and leave it up to the user to select this. This will also add symmetry between the kbase and ksession.
Comment 3 Toni Rikkola 2013-11-14 05:56:27 EST
Ok, default kbase is no longer forced.
Comment 7 Marek Baluch 2014-01-08 09:54:17 EST
Verified on ER7.


All combinations now show up in the jar as expected.

Note You need to log in before you can comment on or make changes to this bug.